2025-06-20 Ismael Luceno <ismael@sourcemage.org>
	* DETAILS: updated spell to 14.3.0
	* Copied from gcc spell, version 14.2.0
	* BUILD, INSTALL: adapted to installing in /opt
	* BUILD, DEPENDS: substituted $SPELL where appropriate
	* SOLO, UP_TRIGGERS: removed, not needed
	* BUILD, CONFIGURE: added a knob for libitm
	* PRE_BUILD: patch remaining libtool instances instead of using
	  libtool-nola
	  removed generic -march=x86_64

2025-02-20 Thomas Orgis <sobukus@sourcemage.org>
	* patches/0014-lto-plugin-no-la.patch: re-enable linker plugin support for .la-less
	  world
	* DETAILS: ++PATCHLEVEL

2025-01-25 Ismael Luceno <ismael@sourcemage.org>
	* INSTALL: added missing standard symlinks (c89, c99, c17)

2024-08-31 Ismael Luceno <ismael@sourcemage.org>
	* BUILD, CONFIGURE: added knob to make a portable/generic build
	* DETAILS: PATCHLEVEL++

2024-08-01 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 14.2.0
	* patches/0001-Fix-building-JIT-with-musl-libc-PR115442.patch: deleted

2024-06-11 Ismael Luceno <ismael@sourcemage.org>
	* patches/0001-Fix-building-JIT-with-musl-libc-PR115442.patch:
	  fixed build against musl

2024-05-07 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 14.1.0, quoting++
	* patches/0001-Add-targetm.libm_function_max_error.patch: removed

2024-01-14 Remko van der Vossen <wich@sourcemage.org>
	* BUILD: use PATH to select gcc49 as necessary

2023-12-16 Remko van der Vossen <wich@sourcemage.org>
	* DEPENDS, PRE_BUILD: optional depends libxcrypt

2023-07-27 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 13.2.0

2023-07-14 Ismael Luceno <ismael@sourcemage.org>
	* DETAILS: PATCHLEVEL++
	* 0003-all-posix_memalign.patch,
	  0004-convert-__cpu_indicator_init-to-__cpu_indicator_init.patch,
	  0005-musl-always-use-lib-directory-for-all-x86_64-ABIs-PR.patch:
	  normalised and renamed the patches
	* patches/0002-Remove-conflicting-duplicated-manpages.patch:
	  added to avoid conflicting GCC installations
	* patches/0001-Add-targetm.libm_function_max_error.patch:
	  added upstream fix
	* patches/0006-ada-libgnarl-compatibility-for-musl.patch,
	  patches/0007-ada-musl-support-fixes.patch,
	  patches/0008-libstdc-do-not-throw-exceptions-for-non-C-locales-on.patch
	  patches/0009-gdc-unconditionally-link-libgphobos-against-libucont.patch
	  patches/0010-druntime-link-against-libucontext-on-all-platforms.patch
	  patches/0011-libgnat-time_t-is-always-64-bit-on-musl-libc.patch
	  patches/0012-libphobos-do-not-use-LFS64-symbols.patch
	  patches/0013-libgo-fix-lfs64-use.patch:
	  added build fixes for musl

2023-07-11 Ismael Luceno <ismael@sourcemage.org>
	* PRE_BUILD: enabled patch application again
	* patches/0001-libgo-make-match.sh-POSIX-shell-compatible.patch:
	  removed, applied by upstream
	* patches/0001-libgo-Add-support-for-libucontext.patch,
	  patches/0001-libgo-include-asm-ptrace.h-for-pt_regs-definition-on-PowerPC.patch,
	  patches/0034-Use-generic-errstr.go-implementation-on-musl.patch,
	  patches/0037-libgo-Recognize-off64_t-and-loff_t-definitions-of-mu.patch,
	  patches/0039-gcc-go-Use-int64-type-as-offset-argument-for-mmap.patch,
	  patches/0041-go-gospec-forcibly-disable-fsplit-stack-support.patch,
	  patches/0042-gcc-go-fix-build-error-with-SYS_SECCOMP.patch,
	  patches/0049-libgo-adjust-name-of-union-in-sigevent-struct.patch,
	  patches/0051-libgo-Explicitly-define-SYS_timer_settime-for-32-bit.patch:
	  removed, no longer needed

2023-04-26 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 13.1.0
	* PRE_BUILD: disable all patches, most fail

2022-12-12 Ismael Luceno <ismael@sourcemage.org>
	* patches/0001-libgo-Add-support-for-libucontext.patch,
	  patches/0034-Use-generic-errstr.go-implementation-on-musl.patch,
	  patches/0037-libgo-Recognize-off64_t-and-loff_t-definitions-of-mu.patch,
	  patches/0039-gcc-go-Use-int64-type-as-offset-argument-for-mmap.patch,
	  patches/0041-go-gospec-forcibly-disable-fsplit-stack-support.patch,
	  patches/0042-gcc-go-fix-build-error-with-SYS_SECCOMP.patch,
	  patches/0049-libgo-adjust-name-of-union-in-sigevent-struct.patch,
	  patches/0051-libgo-Explicitly-define-SYS_timer_settime-for-32-bit.patch:
    	  fixed libgo for musl

2022-09-23 Ismael Luceno <ismael@sourcemage.org>
	* patches/0001-libgo-make-match.sh-POSIX-shell-compatible.patch:
	  fixed bashism in libgo/match.sh
	* patches/0001-libgo-include-asm-ptrace.h-for-pt_regs-definition-on-PowerPC.patch:
	  fixed powerpc libgo build

2022-08-19 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 12.2.0
	* 0042-Fix-attempt-to-use-poisoned-calloc-error-in-libgccji.patch: deleted

2022-06-02 Ismael Luceno <ismael@sourcemage.org>
	* BUILD, PRE_BUILD,
	  0001-musl-always-use--lib--directory-for-all-x86_64-ABIs.patch,
	  0042-Fix-attempt-to-use-poisoned-calloc-error-in-libgccji.patch,
	  50_all_cpu_indicator.patch, 50_all_posix_memalign.patch:
	  fixed build against musl

2022-05-30 Ismael Luceno <ismael@sourcemage.org>
	* 0003-fix-header-generation-for-libgo.patch,
	  0001-Do-not-attempt-to-use-mallinfo2.patch,
	  ssp_nonshared.diff: removed, lo longer needed

2022-05-27 Florian Franzmann <bwlf@bandrate.org>
	* PREPARE, UP_TRIGGERS: fix message colors
	* BUILD: set --enable-host-shared if jit has been selected
	* DETAILS: switch isl SOURCE_URL to new upstream URL
	* DETAILS, BUILD: update ada bootstrapper to 12.1.0

2022-05-06 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 12.1.0

2022-04-21 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 11.3.0

2021-07-28 Florian Franzmann <bwlf@bandrate.org>
	* DETAILS: gcc version 11.2.0, isl version 0.24

2021-05-01 Florian Franzmann <bwlf@bandrate.org>
	* PRE_BUILD, 0001-Do-not-attempt-to-use-mallinfo2.patch: work around wrong
	  detection of mallinfo2() in older versions of glibc
	* DETAILS: update Ada bootstrapper to version 11.1.0

2021-04-27 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 11.1.0

2021-04-08 Florian Franzmann <bwlf@bandrate.org>
	* DETAILS: isl version 0.23

2021-04-08 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 10.3.0

2020-09-29 Eric Sandall <sandalle@sourcemage.org>
	* DEPENDS: Add paths to libmpc (/usr), gmp (/), and mpfr (/) otherwise I get this error:
		configure: error: Building GCC requires GMP 4.2+, MPFR 3.1.0+ and MPC 0.8.0+.
		Try the --with-gmp, --with-mpfr and/or --with-mpc options to specify
		their locations.  Source code for these libraries can be found at
	  I didn't test which one is the one failing, added all three that gcc told me to.

2020-09-03 Thomas Orgis <sobukus@sourcemage.org>
	* PRE_BUILD: drop .la files from installation
	* DETAILS: ++PATCHLEVEL

2020-07-23 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 10.2.0

2020-05-07 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 10.1.0

2020-03-12 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 9.3.0
	* 0001-Fix-build-with-glibc-2.31.patch: deleted
	* PRE_BUILD: adjust

2020-02-07 Florian Franzmann <bwlf@bandrate.org>
	* PRE_BUILD, 0001-Fix-build-with-glibc-2.31.patch: fix build with glibc 2.31

2020-01-12 Florian Franzmann <bwlf@bandrate.org>
	* INSTALL: remove unnecessary disable fortify source
	* BUILD: disable control-flow protection

2020-01-11 Florian Franzmann <bwlf@bandrate.org>
	* BUILD, INSTALL: disable fortify source

2019-11-24 Florian Franzmann <bwlf@bandrate.org>
	* DEPENDS, DETAILS, PRE_BUILD: make isl part of the gcc spell to
	  increase robustness

2019-08-12 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 9.2.0

2019-07-18 Florian Franzmann <bwlf@bandrate.org>
	* BUILD: fix syntax error

2019-07-17 Ismael Luceno <ismael@sourcemage.org>
	* DETAILS: PATCHLEVEL++
	* BUILD: Use -O1 for older GCC only
	  Enable LTO with musl-libc

2019-05-28 Ismael Luceno <ismael@sourcemage.org>
	* BUILD: Disabled multilib unconditionally for musl

2019-05-24 Ismael Luceno <ismael@sourcemage.org>
	* BUILD, PRE_BUILD, ssp_nonshared.diff: Fixed build against musl

2019-05-19 Remko van der Vossen <wich@sourcemage.org>
	* PREPARE: fix warning about invalid options in tablet
	* BUILD, DEPENDS: rely on gcc49 to build if current installed gcc
	  version < 4.9.0 and ensure minimal needed versions of dependencies
	  are present

2019-05-18 Ismael Luceno <ismael@sourcemage.org>
	* DEPENDS: Update dependency; s/gettext/GETTEXT/

2019-05-04 Florian Franzmann <bwlf@bandrate.org>
	* PREPARE: add support for the brig, d and jit frontends
	* PRE_SUB_DEPENDS, SUB_DEPENDS: add subdependencies for brig, d, jit and objc-c++
	* DETAILS: PATCHLEVEL=1
	* PREPARE: use spaces instead of tabs for indenting

2019-05-03 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 9.1.0

2019-02-22 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 8.3.0
	* PRE_BUILD, 0001-fix-isl-0.20.patch: removed the patch

2019-01-19  Treeve Jelbert <treeve@sourcemage.org>
	* DEPENDS: delete gnupg

2018-11-10 Florian Franzmann <bwlf@bandrate.org>
	* DETAILS, BUILD: new ada bootstrapper
	* DEPENDS: force use of isl if enabled

2018-09-12 Eric Sandall <sandalle@sourcemage.org>
	* PRE_BUILD: Apply 0001-fix-isl-0.20.patch
	  Print message about Go patch as well.
	* 0001-fix-isl-0.20.patch: Patch to build against isl 0.20
	  See https://gcc.gnu.org/bugzilla/show_bug.cgi?id=86724

2018-07-26 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 8.2.0

2018-05-02 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 8.1.0

2018-01-25 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 7.3.0

2017-09-30 Florian Franzmann <bwlf@bandrate.org>
	* BUILD: fix issue with builtin functions
	* DETAILS: ++PATCHLEVEL

2017-08-14 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 7.2.0
	* 5266910fed23d6d7f101a878dd8a28d178697ec5.patch
	  67dce0587409353e1b6e38c4b33ed89d4ccabe5c.patch: deleted
	* PRE_BUILD: adjust

2017-08-05 Remko van der Vossen <wich@sourcemage.org>
	* 5266910fed23d6d7f101a878dd8a28d178697ec5.patch,
	  67dce0587409353e1b6e38c4b33ed89d4ccabe5c.patch,
	  PRE_BUILD: fix compiling with glibc-2.26

2017-06-03 Florian Franzmann <bwlf@bandrate.org>
	* DETAILS: new ada bootstrapper

2017-05-02 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 7.1.0
	* CONFIGURE PRE_BUILD DETAILS BUILD PRE_SUB_DEPENDS SUB_DEPENDS PREPARE DEPENDS:
	  remove all java related stuff, as java has been removed from gcc-7
	* PRE_BUILD: disbale some patches

2016-12-21 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 6.3.0

2016-12-09 Ismael Luceno <ismael@sourcemage.org>
	* PRE_BUILD: Fixed linking of libgcj

2016-09-09 Florian Franzmann <bwlf@bandrate.org>
	* DETAILS: new ada bootstrapper

2016-08-22 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: removed PATCHLEVEL
	* SUB_DEPENDS, PRE_SUB_DEPENDS: CXX always returns true now

2016-08-22 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 6.2.0
	* BUILD: fix

2016-06-28 Ismael Luceno <ismael@sourcemage.org>
	* PREPARE: Add java if GCC_COMPILER=all
	* BUILD, PREPARE: Fix compiler selection query

2016-05-07 Florian Franzmann <bwlf@bandrate.org>
	* PREPARE: adapt to languages available in gcc 6.1

2016-04-27 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 6.1.0
	* integer_parameter_restrictions.patch: deleted
	* PRE_BUILD: adjust
	* UP_TRIGGERS: avoid unnecessary recasts

2015-12-04 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 5.3.0
	* cc-5.2.0-isl-1.patch: deleted
	* PRE_BUILD: adjust

2015-11-17 Ismael Luceno <ismael@sourcemage.org>
	* DETAILS, PRE_BUILD: Removed SOURCE3, isl has it's own spell
	* PRE_BUILD, gcc-5.2.0-isl-1.patch: Fixed build against isl 0.15

2015-07-25 Florian Franzmann <bwlf@bandrate.org>
	* BUILD: remove make_single for profilebootstrap/profilebootstraplean
	* INSTALL: add make_normal

2015-07-16 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 5.2.0

2015-06-20 Florian Franzmann <bwlf@bandrate.org>
	* PRE_BUILD, integer_parameter_restrictions.patch: fix build of gprbuild 2015
	* DETAILS: PATCHLEVEL++
	* INSTALL: create versioned symlinks for libgnat and libgnarl

2015-05-29 Remko van der Vossen <wich@sourcemage.org>
	* UP_TRIGGERS: find C++ ELF objects based on ELF DT_NEEDED entries
	  Probably more successful at finding all C++ ELF objects

2015-05-25 Thomas Orgis <sobukus@sourcemage.org>
	* DETAILS: There is no ecj-5.1, trying ecj-4.9.
	  I can compile a hello world example at least.

2015-05-03 Pavel Vinogradov <public@sourcemage.org>
	* UP_TRIGGERS: improved the major release change check, fixed
	  syntax error

2015-05-02 Pavel Vinogradov <public@sourcemage.org>
	* UP_TRIGGERS: added clumsy migration mechanism for C++ ABI
	  changes on major version update

2015-04-22 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 5.1.0, updated isl version to 0.14, removed
	  cloog sources
	* PRE_BUILD: removed cloog sources unpacking and
	  gcc-4.8-filename-output.patch applying
	* gcc-4.8-filename-output.patch: removed obsolete patch

2015-04-02 Vlad Glagolev <stealth@sourcemage.org>
	* DEPENDS: added missing glib2 dependency

2015-01-05 Ismael Luceno <ismael@sourcemage.org>
	* DETAILS: Simplified ada binary selection
	* PRE_BUILD: Removed bogus line
	* classpath-ft2include.patch, PRE_BUILD: Removed, applied by upstream
	* PRE_BUILD: Removed unpacking of go and fortran, tarballs long gone

2014-11-15 Thomas Orgis <sobukus@sourcemage.org>
	* PRE_BUILD: patch for freetype2 headers
	* classpath-ft2include.patch: added said patch

2014-10-30 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 4.9.2

2014-07-25 Treeve Jelbert <treeve@sourcemage.org>
	* FINAL: use default_final

2014-07-16 Florian Franzmann <bwlf@bandrate.org>
	* DETAILS: version 4.9.1
	* PRE_BUILD, gcc-4.9-tree-ssa-threadedge.patch,
	  gcc-4.9.0-upstream_fixes-1.patch: remove obsolete patches
	* BUILD: fix paths to bootstrap compiler

2014-06-30 Pol Vinogradov <vin.public@gmail.com>
	* PRE_BUILD, 0002-4.8.0-ffast-math.patch: removed the patch, causes
	  undefined reference to fxsave

2014-06-15 Florian Franzmann <bwlf@bandrate.org>
	* BUILD: fix breakage in construction of OPTS
	* DEPENDS: fix dependency on xproto

2014-06-14 Florian Franzmann <bwlf@bandrate.org>
	* PRE_BUILD, 
	  gcc-4.8-filename-output.patch,
	  gcc-4.9.0-upstream_fixes-1.patch,
	  gcc-4.9-tree-ssa-threadedge.patch: add bugfixes from upstream
	* DETAILS: use gcc 4.9 based ada bootstrapper for x86_64
	* BUILD, DETAILS, PRE_BUILD: download and use ecj.jar
	* BUILD, CONFIGURE, DEPENDS, DETAILS, PRE_BUILD:
	  add option for building the cloog-isl optimizer
	* DEPENDS: add dependencies on libxt, libx11 and libxproto if
	  building awt
	* BUILD: build libquadmath if building with support for fortran
	* BUILD: filter -pipe from CFLAGS

2014-04-29 Florian Franzmann <bwlf@bandrate.org>
	* DETAILS: version 4.9.0

2014-04-23 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 4.9.0

2013-10-16 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 4.8.2
	* PRE_BUILD, 0001-remove-libffi.patch: add patch to remove
	  redundant libffi
	* PRE_BUILD, 0002-4.8.0-ffast-math.patch: renew patch
	* PRE_BUILD, 0003-fix-header-generation-for-libgo.patch:
	  fix header generation for libgo
	* txt00120.txt.gz, ecj-4.3.jar.sig, ada-symbolic-tracebacks.diff, gcc-4.4.0-ffast-math.patch, mksysinfo.patch: removed
	* DETAILS, BUILD: use new version of the ada bootstrap compiler
	* DETAILS: there is now one integrated tarball, so remove multiple source files
	* PRE_BUILD: no need to unpack multiple files, except for ada
	  do not apply ffast-math.patch or remove-libffi.patch
	* DEPENDS: add perl

2013-08-13 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated to 4.6.4
	  Fixes compilation against texinfo 5.0+
	* glibc216.patch: Removed, fix included in 4.6.4
	* PRE_BUILD: No longer apply glibc216.patch

2013-02-10 Vlad Glagolev <stealth@sourcemage.org>
	* PRE_BUILD: apply go patch only if Go compiler was included into build
	* EXPORTS: chmod +x

2013-02-08 Vlad Glagolev <stealth@sourcemage.org>
	* PRE_BUILD: apply the patch
	* mksysinfo.patch: added, to fix header generation for libgo (included
	  with go compiler)
	* REPAIR^all^EXPORTS: chmod +x

2012-10-03 Vlad Glagolev <stealth@sourcemage.org>
	* PRE_BUILD: apply the patch
	* glibc216.patch: added, to fix build with glibc 2.16

2013-08-13 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated to 4.6.4
	  Fixes compilation against texinfo 5.0+
	* glibc216.patch: Removed, fix included in 4.6.4
	* PRE_BUILD: No longer apply glibc216.patch

2012-06-14 Treeve Jelbert <treeve01@oi.be>
	* DETAILS: version 4.7.1

2012-03-04 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 4.6.3

2012-02-05 Florian Franzmann <bwlf@bandrate.org>
	* PRE_BUILD, remove-libffi.patch: patch Makefile.in to not install
	  libffi, which would conflict with the spell libffi

2012-01-12 Vlad Glagolev <stealth@sourcemage.org>
	* REPAIR^all^EXPORTS: added missing GCC_COMPILER
	* EXPORTS: added

2011-11-24 Robin Cook <rcook@wyrms.net>
	* BUILD: added java home build option
	* CONFIGURE: query about java home
	* PRE_SUB_DEPENDS: added subdepends check on java home
	* SUB_DEPENDS: added subdepends on java home

2011-11-19 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 4.6.2

2011-09-12 Bor Kraljič <pyrobor@ver.si>
	* PRE_BUILD: fixed the source numbers for java (fixes #115)

2011-09-10 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: PATCHLEVEL=1
	* PRE_BUILD: apply the patch
	* python-gdb.patch: added, to fix gdb module install path

2011-07-31 Andraž "ruskie" Levstik <ruskie+f03a580f@codemages.net>
	* CONFIGURE: should be _list not _multi

2011-07-31 Bor Kraljič <pyrobor@ver.si>
	* DETAILS: TMPFS=off for all (1GB is not enough space)

2011-07-03 Florian Franzmann <bwlf@bandrate.org>
	* DETAILS: version 4.6.1
	* DEPENDS, BUILD: removed dependency on cloog/ppl since it makes
	  the spell fragile

2011-04-11 Vlad Glagolev <stealth@sourcemage.org>
	* DEPENDS: added gettext optional dependency

2011-03-26 Florian Franzmann <bwlf@bandrate.org>
	* DETAILS, PREPARE, SUB_DEPENDS, PRE_SUB_DEPENDS: version 4.6.0,
	  added support for the go programming language
	* BUILD, DEPENDS: added dependency on zlib, moved relevant
	  part of OPTS to DEPENDS
	* BUILD: added make_normal after make
	* DETAILS: updated Ada bootstrap compiler to 4.5.2
	* DEPENDS: added optional dependency on cloog-ppl and ppl
	* CONFIGURE, PRE_BUILD: commented out patches for gnat since
	  they don't work with gcc 4.6

2010-12-27 Florian Franzmann <bwlf@bandrate.org>
	* DETAILS: version 4.5.2

2010-09-22 Andraž "ruskie" Levstik <ruskie+f03a580f@codemages.net>
	* INSTALL: fixup the cpp and cc symlinks

2010-09-08 Florian Franzmann <bwlf@bandrate.org>
	* PRE_BUILD, CONFIGURE, ada-symbolic-tracebacks.diff,
	  SUB_DEPENDS, PRE_SUB_DEPENDS, REPAIR^none^PRE_SUB_DEPENDS,
	  REPAIR^none^SUB_DEPENDS: added optional patch to allow
	  for symbolic tracebacks, added a sub depends that activates
	  symbolic tracebacks

2010-09-05 Florian Franzmann <bwlf@bandrate.org>
	* PRE_BUILD, CONFIGURE, txt00120.txt.gz: added optional patch
	  from http://gcc.gnu.org/ml/gcc-patches/2010-04/txt00120.txt
	  to make semi automatic generation of C bindings for Ada
	  available
	* DETAILS: corrected variable names, switched ada bootstrap compiler
	  to 4.3.3 on ia32

2010-08-27 Florian Franzmann <bwlf@bandrate.org>
	* DETAILS: version 4.5.1
	* DEPENDS: depends libmpc
	* PRE_BUILD: removed sedit that doesn't apply to gcc 4.5
	* BUILD: --with-bugurl=http://bugs.sourcemage.org,
	  --enable-bootstrap, --enable-checking=release

2010-08-19 Eric Sandall <sandalle@sourcemage.org>
	* DEPENDS: gcj depends on unzip and zip

2010-08-18 Eric Sandall <sandalle@sourcemage.org>
	* CONFLICTS: Auto-conflict with ada, fortran, g++, gcj, and objc
	  This will remove the old stand-alone files before the combined gcc
	  installs them.

2010-04-01 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated to 4.4.3
	* PRE_BUILD: gcc-4.3.0-ffast-math.patch -> gcc-4.4.0-ffast-math.patch
	* gcc-4.3.0-ffast-math.patch: Updated to GCC 4.4 and renamed to
	  gcc-4.4.0-ffast-math.patch

2009-10-18 Andraž "ruskie" Levstik <ruskie+f03a580f@codemages.net>
	* POST_RESURRECT: removed

2009-10-16 Arwed v. Merkatz <v.merkatz@gmx.net>
	* DEPENDS: don't fail if mpfr and gmp persistent variables are
	  not available, bug #15476

2009-07-25 Andraž "ruskie" Levstik <ruskie+f03a580f@codemages.net>
	* BUILD: removed the if about /lib64
	* PREPARE: no more /lib workaround it's always in /lib
	* INSTALL: no more specs handling and /lib

2009-07-24 Andraž "ruskie" Levstik <ruskie+f03a580f@codemages.net>
	* BUILD: reformatted and added support for x86
	* PRE_BUILD: reformatted

2009-07-24 Peng Chang (Charles) <chp@sourcemage.org>
	* CONFIGURE: query for GCJ_AWT only when java is to be compiled
	* PRE_BUILD: removed duplicate mk_source_dir $SOURCE_DIRECTORY.bld

2009-07-23 Andraž "ruskie" Levstik <ruskie+f03a580f@codemages.net>
	* BUILD: modified for unified gcc
	* CONFIGURE: modified for unified gcc
	* DEPENDS: modified for unified gcc
	* DETAILS: modified for unified gcc, updated the ada stuff
	* EXPORTS: removed
	* INSTALL: modified for unified gcc
	* PREPARE: modified for unified gcc
	* PRE_BUILD: modified for unified gcc
	* PRE_SUB_DEPENDS: created, fixed fortran
	* REPAIR^none^PRE_SUB_DEPENDS: created, fixed fortran
	* REPAIR^none^SUB_DEPENDS: created, fixed fortran
	* SUB_DEPENDS: created, fixed fortran
	* ecj-4.3.jar.sig: added, moved from gcj spell

2009-09-06 Remko van der Vossen <wich@sourcemage.org>
	* BUILD: Stop build if gmp or mpfr were built with a different archspec
	  than the current one.
	* DEPENDS: force_depends gmp and mpfr if either were built with a
	  different archspec than the current one. Fixes part of bug 15166.
	* EXPORTS, FINAL, REPAIR^all^EXPORTS: Added export of build arch of
	  gcc to force recompile when casting g++ after switching archs.

2009-05-10 Eric Sandall <sandalle@sourcemage.org>
	* BUILD: profiledbootstrap should not use parallel make
	  See http://gcc.gnu.org/install/build.html
	  Build using profiledbootstrap-lean to save disk space during compilation
	  Thanks to Peng "chp" Chang

2009-03-06 Arwed v. Merkatz <v.merkatz@gmx.net>
	* PRE_BUILD: removed workaround for
	  http://gcc.gnu.org/bugzilla/show_bug.cgi?id=26539, as it's not needed
	  anymore with gcc 4.3.x

2009-01-29 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated to 4.3.3

2008-09-24 Andrew Stitt <astitt@sourcemage.org>
	* BUILD: prefix CFLAGS with -O1, fixing compilation error when
	  no optimizations are specified.

2008-09-03 Arwed v. Merkatz <v.merkatz@gmx.net>
	* BUILD: only use --host for cross compiles, --build otherwise,
	  fixes bug #14624

2008-08-29 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 4.3.2

2008-06-11 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 4.3.1

2008-03-26 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Reset PATCHLEVEL=0 (removed PATCHLEVEL)
	* DEPENDS: GCC requires mpfr 2.3.0 or newer to work, so force mpfr
	  being built if it is not >= 2.3.0

2008-03-15 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated to 4.3.0
	* DEPENDS: Depends on gmp and mpfr
	* PRE_BUILD: Use gcc-$VERSION-ffast-math.patch to keep up. :)
	* BUILD: Pass --build=x86_64-pc-linux-gnu for x86_64, only way I found
	  to get around this warning:
	  configure: WARNING: If you wanted to set the --build type, don't use
	  --host. If a cross compiler is detected then cross compile mode will
	  be used.
	* gcc-4.3.0-ffast-math.patch: Updated gcc-4.2.3-ffast-math.patch

2008-02-05 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated to 4.2.3
	* PRE_BUILD: gcc-4.1.1-ffast-math.patch -> gcc-4.2.3-ffast-math.patch
	* gcc-4.1.1-ffast-math.patch: Synced to 4.2.3
	  gcc-4.1.1-ffast-math.patch -> gcc-4.2.3-ffast-math.patch

2007-10-20 David Brown <dmlb2000@gmail.com>
	* INSTALL: make sure if they are using lib64 to compile in the linker
	  as if it was in /lib64
	* DETAILS: patchlevel++

2007-10-09 Andraž "ruskie" Levstik <ruskie@mages.ath.cx>
	* DETAILS: updated spell to 4.2.2
	  fixed WEB_SITE

2007-08-15 Arwed v. Merkatz <v.merkatz@gmx.net>
	* DETAILS: updated to 4.2.1

2007-05-18 Jaka Kranjc <lynxlynxlynx@sourcemage.org>
	* DETAILS: updated spell to 4.2.0

2007-03-01 Eric Sandall <sandalle@sourcemage.org>
	* BUILD: -ffast-math also breaks with pentium-m

2007-02-14 Treeve Jelbert <treeve01@oi.be>
	* DETAILS: version 4.1.2
	  convert to upstream signatures

2007-01-22 Thomas Orgis <sobukus@sourcemage.org>
	* DEPENDS: ensure that compilers get cast after archspecs so that
	  they all use the same fresh setup

2007-01-16 Eric Sandall <sandalle@sourcemage.org>
	* INSTALL: cd to $SOURCE_DIRECTORY.bld at beginning of INSTALL
	  Bug #10647

2007-01-04 Eric Sandall <sandalle@sourcemage.org>
	* BUILD: At least on pentium4 architecture, compiling gcc with
	  -ffast-math in CFLAGS *or* CXXFLAGS will cause some (e.g. firefox)
	  C++ apps to segfault

2006-12-28 David Kowis <dkowis@shlrm.org>
	* PRE_BUILD: added a patch for a -ffast-math bug
	* DETAILS: incremented PATCHLEVEL
	* gcc-4.1.1-ffast-math.patch: added

2006-10-26 Jaka Kranjc <lynxlynxlynx@sourcemage.org>
	* INSTALL: use TRACK_ROOT when linking #9163

2006-06-29 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Removed BUILD_API=2, set grimoire-wide
	  Removed UPDATED

2006-06-23 Jaka Kranjc <lynxlynxlynx@sourcemage.org>
	* DEPENDS: added diffutils #8855

2006-05-26 Arwed v. Merkatz <v.merkatz@gmx.net>
	* DETAILS: updated to 4.1.1

2006-03-12 Karsten Behrmann <BearPerson@sourcemage.org>
	* DETAILS: (automated) Add KEYWORDS

2006-03-03 Arwed v. Merkatz <v.merkatz@gmx.net>
	* PRE_BUILD: added a sedit to fix install
	* INSTALL: removed the 'touch gcc/genmodes', not necessary anymore
	* WIP: removed

2006-03-01 Treeve Jelbert <treeve01@oi.be>
	* DETAILS: upgrade to 4.1.0
	* WIP: added, as install fails -
	  can't find a usable gcc as it tries to recompile libcpp

2006-03-10 David Brown <dmlb2000@gmail.com>
	* DETAILS: updated 4.0.3

2006-02-19 Arwed v. Merkatz <v.merkatz@gmx.net>
	* BUILD, EXPORTS: store CFLAGS and LDFLAGS as GCC_*
	  persistent_variables, used to fix bug #10087
	* INSTALL: touch $SPECSDIR/specs to make sure it's tracked by
	  installwatch (bug #8726)
	* POST_RESURRECT: setup specs file after resurrection (bug #8726)
	* EXPORTS: export GCC_MULTILIB and GCC_NOLIB64 so the split spells
	  can cleanly read them instead of using hacks
	* DETAILS: PATCHLEVEL++

2006-02-12 George Sherwood <george@beernabeer.com>
	* volatiles, REPAIR^none^volatiles: Added to prevent cleanse
	  failing on chainges to specs file.

2006-02-08 Eric Sandall <sandalle@sourcemage.org>
	* DEPENDS: Depends on smgl-fhs (for directory structure)

2006-02-06 Eric Sandall <sandalle@sourcemage.org>
	* DEPENDS: Depends on gnupg (for SOURCE verification)

2005-10-13 Arwed v. Merkatz <v.merkatz@gmx.net>
	* UP_TRIGGERS: use 'if spell_ok ...; then' instead of 'spell_ok && ...'
	  so UP_TRIGGERS doesn't return non-zero

2005-10-02 Sergey Lipnevich <sergey@sourcemage.org>
	* DETAILS: upgrade to 4.0.2;
	* BUILD: use dollar sign for variable, use double brackets while at it;
	* INSTALL: add missing `&&', install must fail in case of error; I caught
	  this on a grimoire without FUNCTIONS file and hence no `make_single'.

2005-09-22 Arwed v. Merkatz <v.merkatz@gmx.net>
	* UP_TRIGGERS: trigger recasts of the installed split compiler spells
	  on a version change

2005-07-09 Arwed v. Merkatz <v.merkatz@gmx.net>
	* DETAILS: updated to 4.0.1

2005-07-01 Andrew Stitt <astitt@sourcemage.org>
	* INSTALL: fix symlink installation, bug 9163

2005-05-15 Seth Woolley <seth@tautology.org>
	* PREPARE,BUILD,INSTALL: add fixes for bug 8626,
	  for a pure non-lib64 64-bit system

2005-04-23 Sergey Lipnevich <sergey@sourcemage.org>
	* INSTALL: on my AMD64 system install needs make_single.

2005-04-21 Arwed v. Merkatz <v.merkatz@gmx.net>
	* DETAILS: updated to 4.0.0

2005-03-30 Sergey Lipnevich <sergey@sourcemage.org>
	* CONFIGURE: use default configuration script;
	* BUILD: change variable name to GCC_MULTILIB.

2005-03-29 Sergey Lipnevich <sergey@sourcemage.org>
	* CONFIGURE: make executable;
	  replace call to `test' with internal check and refactor a bit.

2005-03-13 Seth Woolley <seth@tautology.org>
	* CONFIGURE,BUILD: --disable-multilib support for pure amd64 env.

2004-11-07 Treeve Jelbert <treeve01@oi.be>
	* DETAILS: version 3.4.3

2004-09-08 Treeve Jelbert <treeve01@oi.be>
	* DETAILS: version 3.4.2

2004-07-07 Arwed v. Merkatz <v.merkatz@gmx.net>
	* INSTALL: don't install fixed includes

2004-07-04 Arwed v. Merkatz <v.merkatz@gmx.net>
	* ALL: now only builds the C compiler

2004-07-02 Treeve Jelbert <treeve01@oi.be>
	* DETAILS: add missing MD5[3]

2004-07-02 Treeve Jelbert <treeve01@oi.be>
	* DETAILS: version 3.4.1
	  extra sourceurl

2004-06-19 Sergey Lipnevich <sergey@sourcemage.org>
	* DETAILS: minor corrections;
	* BUILD: fix minor syntax errors so that the file runs.

2004-05-29 Treeve Jelbert <treeve01@oi.be>
	* PREPARE: use config_query to specify required compilers
	  requires sorcery-1.10
	* DETAILS: specify optional source files
	* PRE_BUILD: unpack optional components, remove the libraries

2004-04-20 Treeve Jelbert <treeve01@oi.be>
	* DETAILS: version 3.4.0
	  BUILD_API=2 ( needs latest build-split sorcery)
	  this spell now only build the compilers. All libraries are separate spells
	* BUILD: remove ( ) > $FIFO
	  only does make
	* INSTALL: add
	* CONFIGURE: remove all front end logic
	* POST_REMOVE: delete

2004-03-13 hgg <hgreig@bigpond.net.au>
	* BUILD: revert previous, LDFLAGS not honoured,
	  pity because stripping debugging at least halves the disk footprint

2004-03-13 hgg <hgreig@bigpond.net.au>
	* BUILD: adding our LDFLAGS to Makefile.in

2004-02-18 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Changed mirror to use gcc.gnu.org
	  Removed MAINTAINER

2004-02-16 Sergey Lipnevich <sergey@sourcemage.org>
	* DETAILS: upgrade to 3.3.3.

2004-02-03 hgg <hgreig@bigpond.net.au>
	* BUILD: correct usage of INSTALL_ROOT

2004-01-29 hgg <hgreig@bigpond.net.au>
	* BUILD: bug 5553 infodir and mandir switches

2003-11-30 Eric Sandall <sandalle@sourcemage.org>
	* BUILD,POST_REMOVE,PREPARE: Use INSTALL_ROOT

2003-10-17 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Update to 3.3.2
	* HISTORY: Formatted to Guru Handbook

2003-08-09 hgg <hgreig@bigpond.net.au>
	* DETAILS: Update to gcc3.3.1

2003-07-26 Eric Sandall <sandalle@sourcemage.org>
	* CONFIGURE,PREPARE: Added Arwed's Ada patch (Bug #3846)

2003-07-26 Arwed v. Merkatz <v.merkatz@gmx.net>
	* PREPARE: added and reenabled ada as language option

2003-07-09 hgg <hgreig@bigpond.net.au>
	* BUILD: remove cosmetic configure switch.
	  Use "head-from-arse-extraction-tool" and remove export as it should have
	  gone into glibc/BUILD :-)

2003-06-24 hgg <hgreig@bigpond.net.au>
	* CONFIGURE: Reword fix includes query to cater for feebleminded monkeys

2003-06-23 hgg <hgreig@bigpond.net.au>
	* BUILD: Make symlink after build/install for stupid apps
	  like flash that expect RedHat compat libs

2003-06-19 hgg <hgreig@bigpond.net.au>
	* BUILD: Add configure switch for c++ ABI compatibility

2003-05-22 Julian v. Bock <julian@wongr.net>
	* BUILD: copy objc headers manually when fixed
	  includes are disabled.

2003-05-15 Julian v. Bock <julian@wongr.net>
	* DETAILS: set VERSION to 3.3.
	* CONFIGURE: use $FRONTENDS instead of $LANG.

2003-04-30 Julian v. Bock <julian@wongr.net>
	* DETAILS: set VERSION to 3.2.3.
	* DEPENDS: remove.
	* CONFIGURE: remove ada language option.

2003-04-08 M.L. <mlubrano@sourcemage.org>
	* BUILD: Added $OPTS

2003-02-26 Julian v. Bock <julian@wongr.net>
	* BUILD: enable installwatch.

2003-02-08 Julian v. Bock <julian@wongr.net>
	* DETAILS: set VERSION to 3.2.2.

2002-12-31 Julian v. Bock <julian@wongr.net>
	* CONFIGURE: don't install fixed includes by default.

2002-12-14 Julian v. Bock <julian@wongr.net>
	* CONFIGURE: add option to not install fixed includes.

2002-11-21 Julian v. Bock <julian@wongr.net>
	* DETAILS: set VERSION to 3.2.1.

2002-10-26 Julian v. Bock <julian@wongr.net>
	* BUILD: unset LD_PRELOAD before make install because of problems
	  with installwatch.

2002-10-03 Julian v. Bock <julian@wongr.net>
	* DETAILS: add LICENSE and MD5 fields.

2002-09-04 Julian v. Bock <julian@wongr.net>
	* BUILD: move creation / deletion of build directory to
	  PRE_BUILD and POST_INSTALL.
	* PRE_BUILD: likewise.
	* POST_INSTALL: likewise.

2002-08-?? Julian v. Bock <julian@wongr.net>
	* DETAILS: set VERSION to 3.2.

2002-05-26 Julian v. Bock <julian@wongr.net>
	* DETAILS: update spell for gcc-3.1; remove pascal stuff.
	* BUILD: remove pascal stuff; remove --enable-shared; add
	  --enable-threads=posix; build everything in a separate directory.
	* CONFIGURE: add Ada 95 frontend; remove pascal frontend; add
	  configure options for all frontends but C and C++.
	* PRE_BUILD: remove.
	* DEPENDS: add.

2002-05-11 Julian v. Bock <julian@wongr.net>
	* DETAILS: set PASCAL_VERSION to 2.1.
	* PRE_BUILD: use gpc-20020510 instead of gpc-$PASCAL_VERSION.

2002-05-10 Ole Tange <sgl-spell-gcc@tange.dk>
	* DETAILS: set PASCAL_VERSION to 20020502.

2002-04-30 Julian v. Bock <julian@wongr.net>
	* DETAILS: set PASCAL_VERSION to 20020426.
	* CONFIGURE: add; make pascal support optional.
	* PRE_BUILD: likewise.
	* BUILD: likewise.

2002-04-23 Julian v. Bock <julian@wongr.net>
	* BUILD: add pascal fix by Lyon Lemmens; don't use
	  --enable-languages.

2002-04-18 Julian v. Bock <julian@wongr.net>
	* DETAILS: set PASCAL_VERSION to 20020410.

2002-04-11 Julian v. Bock <julian@wongr.net>
	* BUILD: use "objc" in languages instead of "objective-c".

2002-04-03 Julian v. Bock <julian@wongr.net>
	* DETAILS: update PASCAL_VERSION to 20020402; set SORUCE2_URL[0]
	  to http://www.gnu-pascal.de/current/$SOURCE2.

2002-03-29 Julian v. Bock <julian@wongr.net>
	* BUILD: don't build chill frontend
	* DETAILS: update PASCAL_VERSION to 20020318; remove SOURCE2_URL[0].

